# Class webdriver.logging.Preferences

code »

Describes the log preferences for a WebDriver session.

## Constructor

webdriver.logging.Preferences ( )
Show:Public Protected Private

## Instance Methods

code »setLevel ( type, level )

Sets the desired logging level for a particular log type.

Parameters

type: `(string|webdriver.logging.Type)`
  The log type.
level: `!webdriver.logging.Level`
  The desired log level.

code »toJSON ( ) ⇒ `!Object.<string, string>`

Converts this instance to its JSON representation.

Returns

The JSON representation of this set of preferences.

## Instance Properties

code »prefs_ : `!Object.<string, webdriver.logging.Level>`